CLOSEDIR(3)

NOME
closedir - fecha um diretório

SYNOPSIS
#include <sys/types.h>

#include <dirent.h>

int closedir(DIR *dir);

DESCRIÇÃO
A função closedir() fecha o stream de diretório associado a dir. O descritor dir fica indisponível após chamada esta função.

VALOR RETORNADO
A função closedir() retorna 0 se tiver êxito e -1 se falhar.

ERROS

EBADF
    Descritor de diretório inválido.

DE ACORDO COM
SVID 3, POSIX, BSD 4.3

VER TAMBÉM
close(2), opendir(3), readdir(3), rewinddir(3), seekdir(3), telldir(3), scandir(3)

TRADUZIDO POR LDP-BR em 21/08/2000.
Paulo César Mendes <drpc@ism.com.br> (tradução) xxxxxxxxxxxxxxxxxxxxxxxxx <xxx@xxxxxx.xxx.xx> (revisão)